Package weka.gui.treevisualizer

# Class PlaceNode2

java.lang.Object
weka.gui.treevisualizer.PlaceNode2

All Implemented Interfaces:
  `NodePlace`

public class PlaceNode2 extends Object implements NodePlace
This class will place the Nodes of a tree.

It will place these nodes so that they fall at evenly below their parent. It will then go through and look for places where nodes fall on the wrong side of other nodes when it finds one it will trace back up the tree to find the first common sibling group these two nodes have And it will adjust the spacing between these two siblings so that the two nodes no longer overlap. This is nasty to calculate with , and takes a while with the current algorithm I am using to do this.

Version:
  $Revision: 1.4 $
Author:
  Malcolm Ware (mfw4@cs.waikato.ac.nz)

## Constructor Summary

Constructors
Constructor
Description
`PlaceNode2()`

## Method Summary

Modifier and Type
Method
Description
`void`
`place(Node r)`
The Funtion to call to have the nodes arranged.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlaceNode2

public PlaceNode2()

## Method Details

### place

public void place(Node r)
The Funtion to call to have the nodes arranged.

Specified by:
  `place` in interface `NodePlace`
Parameters:
  `r` - The top node of the tree to arrange.